Deinterlace.h File Reference

Header file for De-interlace class. More...

`#include "../EffectBase.h"`
`#include <cmath>`
`#include <ctime>`
`#include <iostream>`
`#include <omp.h>`
`#include <stdio.h>`
`#include <memory>`
`#include "../Color.h"`
`#include "../Exceptions.h"`
`#include "../Json.h"`
`#include "../KeyFrame.h"`

Go to the source code of this file.

## Classes

class | openshot::Deinterlace
| This class uses the ImageMagick++ libraries, to de-interlace the image, which removes the EVEN or ODD horizontal lines (which represent different points of time). More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for De-interlace class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Deinterlace.h.